REVOKE USAGE ON SEQUENCE cabinet_id_seq FROM old_cos;
REVOKE ALL ON SEQUENCE hardware_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE hardwaretype_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE ip_address_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE operatingsystem_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE patch_panel_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE person_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE printer_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE printer_model_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE switch_id_seq FROM old_cos;
REVOKE ALL ON SEQUENCE system_image_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE system_image_ip_address_ip_address_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE system_image_ip_address_system_image_id_seq FROM old_cos;


REVOKE SELECT,INSERT,UPDATE ON TABLE person FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_dept_telephone_number FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_mailinglist_include_person FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_research_group FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_room FROM old_cos;
REVOKE SELECT ON TABLE dept_telephone_number_hid FROM old_cos;
REVOKE SELECT ON TABLE room_hid FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE socket FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hardware FROM old_cos;
REVOKE SELECT ON TABLE ip_address_hid FROM old_cos;
REVOKE ALL ON TABLE mm_system_image_ip_address FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE system_image FROM old_cos;
REVOKE SELECT ON TABLE person_hid FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_research_group_computer_rep FROM old_cos;
REVOKE INSERT ON TABLE switch FROM old_cos;
REVOKE SELECT ON TABLE operating_system_hid FROM old_cos;
REVOKE SELECT ON TABLE _room_fume_hoods FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_system_image_installer_tag FROM old_cos;
REVOKE SELECT ON TABLE research_group_hid FROM old_cos;
REVOKE SELECT ON TABLE subnet FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_type FROM old_cos;
REVOKE INSERT ON TABLE printer FROM old_cos;
REVOKE INSERT ON TABLE printer_class FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_cnames FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE cabinet FROM old_cos;
REVOKE SELECT ON TABLE postgraduate_studentship_type_hid FROM old_cos;
REVOKE SELECT ON TABLE staff_category_hid FROM old_cos;
REVOKE SELECT ON TABLE hardware_type_hid FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_anames FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_mxrecords FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE mm_mailinglist_exclude_person FROM old_cos;
REVOKE SELECT ON TABLE www_person_hid_v2 FROM old_cos;
REVOKE SELECT ON TABLE _room_current_occupancy FROM old_cos;
REVOKE SELECT ON TABLE system_image_hid FROM old_cos;
REVOKE SELECT,INSERT ON TABLE _audit FROM old_cos;
REVOKE SELECT ON TABLE _closest_printer FROM old_cos;
REVOKE SELECT ON TABLE _closest_printer_v2 FROM old_cos;
REVOKE SELECT ON TABLE _closest_printer_v3 FROM old_cos;
REVOKE SELECT ON TABLE _closest_printer_v4 FROM old_cos;
REVOKE SELECT ON TABLE subnet_hid FROM old_cos;
REVOKE SELECT ON TABLE _fai_autoinstaller_flags FROM old_cos;
REVOKE SELECT ON TABLE _fai_system_image_username FROM old_cos;
REVOKE SELECT ON TABLE _jackdaw_data FROM old_cos;
REVOKE SELECT ON TABLE _mailing_list_chasing FROM old_cos;
REVOKE SELECT ON TABLE room_type_hid FROM old_cos;
REVOKE SELECT ON TABLE cabinet_patch_panel_subview FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE cabinet_view FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_anames_view FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_cnames_view FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE dns_mxrecords_view FROM old_cos;
REVOKE SELECT,INSERT,UPDATE ON TABLE edit_hardware_types_view FROM old_cos;
REVOKE SELECT,INSERT,UPDATE ON TABLE edit_operating_systems_view FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_basic_view FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_full_view FROM old_cos;
REVOKE SELECT ON TABLE hardware_hid FROM old_cos;
REVOKE SELECT ON TABLE hardware_system_image_subview FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE ips_without_hardware_report FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE ips_without_hostnames_view FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE mailing_lists_optins_view FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE mailing_lists_optouts_view FROM old_cos;
REVOKE SELECT ON TABLE occupants_hid FROM old_cos;
REVOKE SELECT ON TABLE patch_panel_cabinet_subview FROM old_cos;
REVOKE SELECT ON TABLE patch_panel_socket_subview FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE patch_panel_view FROM old_cos;
REVOKE USAGE ON SEQUENCE printer_id_seq FROM old_cos;
REVOKE USAGE ON SEQUENCE printer_model_id_seq FROM old_cos;
REVOKE SELECT ON TABLE printer_system_image_subview FROM old_cos;
REVOKE SELECT,DELETE,UPDATE ON TABLE printers_view FROM old_cos;
REVOKE SELECT ON TABLE socket_patch_panel_subview FROM old_cos;
REVOKE SELECT ON TABLE ssh_keys FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE switchport_view FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE system_image_autoinstaller_view FROM old_cos;
REVOKE SELECT ON TABLE system_image_contact_details_subview FROM old_cos;
REVOKE SELECT ON TABLE system_image_hardware_subview FROM old_cos;
REVOKE SELECT ON TABLE system_image_ip_address FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE user_account_view FROM old_cos;
REVOKE SELECT ON TABLE www_person_hid_v1 FROM old_cos;

REVOKE SELECT ON TABLE hotwire."10_View/Computers/System_Image/_Contact_Details_ro" FROM old_cos;
REVOKE SELECT ON TABLE hotwire."10_View/Computers/System_Image/_Hardware_ro" FROM old_cos;
REVOKE SELECT ON TABLE hotwire."10_View/Computers/System_Image/_IP_address_ro" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/ANames" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/CNames" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/MX_Records" FROM old_cos;
REVOKE SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/Edit_Hardware_Types" FROM old_cos;
REVOKE SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/Edit_Operating_Systems" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Hardware_Basic" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Hardware_Full" FROM old_cos;
REVOKE SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/IP_address" FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE hotwire."10_View/Mailing_Lists/OptIns" FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE hotwire."10_View/Mailing_Lists/OptOuts" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Patch_Panel" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/People/Personnel_Phone" FROM old_cos;
REVOKE SELECT,DELETE,UPDATE ON TABLE hotwire."10_View/Printers" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Switchport" FROM old_cos;
REVOKE SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/User_Account" FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE hotwire."30_Report/IPs_without_Hardware_ro" FROM old_cos;
REVOKE SELECT,UPDATE ON TABLE hotwire."30_Report/IPs_without_Hostnames_ro" FROM old_cos;

